> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/nemo-platform/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/nemo-platform/_mcp/server.

# Ingest Atif

POST https://host.com/apis/intake/v2/workspaces/{workspace}/ingest/atif
Content-Type: application/json

Reference: https://docs.nvidia.com/nemo-platform/nemo-platform/documentation/reference/api-reference/ingest/atif-apis-intake-v-2-workspaces-workspace-ingest-atif-post

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Nemo Platform API
  version: 1.0.0
paths:
  /apis/intake/v2/workspaces/{workspace}/ingest/atif:
    post:
      operationId: atif-apis-intake-v-2-workspaces-workspace-ingest-atif-post
      summary: Ingest Atif
      tags:
        - subpackage_ingest
      parameters:
        - name: workspace
          in: path
          required: true
          schema:
            type: string
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Ingest_atifApisIntakeV2WorkspacesWorkspaceIngestAtifPost_Response_201
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AtifIngestRequest'
servers:
  - url: https://host.com
    description: Default
components:
  schemas:
    ExperimentContext:
      type: object
      properties:
        experiment_id:
          type: string
          description: Name of an existing Experiment entity.
        test_case_id:
          type: string
          description: Optional producer-supplied test case id.
      required:
        - experiment_id
      description: Experiment context accepted by ingest endpoints.
      title: ExperimentContext
    EvaluationContext:
      type: object
      properties:
        evaluation_id:
          type: string
        evaluation_sha:
          type: string
        evaluation_run_id:
          type: string
        test_case_id:
          type: string
        metadata:
          type: object
          additionalProperties:
            description: Any type
      title: EvaluationContext
    AtifIngestRequestSchemaVersion:
      type: string
      enum:
        - ATIF-v1.0
        - ATIF-v1.1
        - ATIF-v1.2
        - ATIF-v1.3
        - ATIF-v1.4
        - ATIF-v1.5
        - ATIF-v1.6
        - ATIF-v1.7
      title: AtifIngestRequestSchemaVersion
    AtifAgent:
      type: object
      properties:
        name:
          type: string
        version:
          type: string
        model_name:
          type: string
        tool_definitions:
          type: array
          items:
            type: object
            additionalProperties:
              description: Any type
        extra:
          type: object
          additionalProperties:
            description: Any type
      required:
        - name
        - version
      title: AtifAgent
    AtifFinalMetrics:
      type: object
      properties:
        total_prompt_tokens:
          type: integer
        total_completion_tokens:
          type: integer
        total_cached_tokens:
          type: integer
        total_cost_usd:
          type: number
          format: double
        total_steps:
          type: integer
        extra:
          type: object
          additionalProperties:
            description: Any type
      title: AtifFinalMetrics
    AtifImageSourceMediaType:
      type: string
      enum:
        - image/jpeg
        - image/png
        - image/gif
        - image/webp
      title: AtifImageSourceMediaType
    AtifImageSource:
      type: object
      properties:
        media_type:
          $ref: '#/components/schemas/AtifImageSourceMediaType'
        path:
          type: string
      required:
        - media_type
        - path
      title: AtifImageSource
    AtifContentPart:
      oneOf:
        - type: object
          properties:
            type:
              type: string
              enum:
                - image
            source:
              $ref: '#/components/schemas/AtifImageSource'
          required:
            - type
            - source
          description: AtifContentPartImage variant
        - type: object
          properties:
            type:
              type: string
              enum:
                - text
            text:
              type: string
          required:
            - type
            - text
          description: AtifContentPartText variant
      discriminator:
        propertyName: type
      title: AtifContentPart
    AtifStepAgentMessage1:
      type: array
      items:
        $ref: '#/components/schemas/AtifContentPart'
      title: AtifStepAgentMessage1
    AtifStepAgentMessage:
      oneOf:
        - type: string
        - $ref: '#/components/schemas/AtifStepAgentMessage1'
      title: AtifStepAgentMessage
    AtifStepAgentReasoningEffort:
      oneOf:
        - type: string
        - type: number
          format: double
      title: AtifStepAgentReasoningEffort
    AtifToolCall:
      type: object
      properties:
        tool_call_id:
          type: string
        function_name:
          type: string
        arguments:
          type: object
          additionalProperties:
            description: Any type
      required:
        - tool_call_id
        - function_name
      title: AtifToolCall
    AtifObservationResultContent1:
      type: array
      items:
        $ref: '#/components/schemas/AtifContentPart'
      title: AtifObservationResultContent1
    AtifObservationResultContent:
      oneOf:
        - type: string
        - $ref: '#/components/schemas/AtifObservationResultContent1'
      title: AtifObservationResultContent
    AtifSubagentTrajectoryRef:
      oneOf:
        - description: Any type
        - description: Any type
        - description: Any type
      title: AtifSubagentTrajectoryRef
    AtifObservationResult:
      type: object
      properties:
        source_call_id:
          type: string
        content:
          $ref: '#/components/schemas/AtifObservationResultContent'
        subagent_trajectory_ref:
          type: array
          items:
            $ref: '#/components/schemas/AtifSubagentTrajectoryRef'
        extra:
          type: object
          additionalProperties:
            description: Any type
      title: AtifObservationResult
    AtifObservation:
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/AtifObservationResult'
      title: AtifObservation
    AtifMetrics:
      type: object
      properties:
        prompt_tokens:
          type: integer
        completion_tokens:
          type: integer
        cached_tokens:
          type: integer
        cost_usd:
          type: number
          format: double
        prompt_token_ids:
          type: array
          items:
            type: integer
        completion_token_ids:
          type: array
          items:
            type: integer
        logprobs:
          type: array
          items:
            type: number
            format: double
        extra:
          type: object
          additionalProperties:
            description: Any type
      title: AtifMetrics
    AtifStepSystemMessage1:
      type: array
      items:
        $ref: '#/components/schemas/AtifContentPart'
      title: AtifStepSystemMessage1
    AtifStepSystemMessage:
      oneOf:
        - type: string
        - $ref: '#/components/schemas/AtifStepSystemMessage1'
      title: AtifStepSystemMessage
    AtifStepUserMessage1:
      type: array
      items:
        $ref: '#/components/schemas/AtifContentPart'
      title: AtifStepUserMessage1
    AtifStepUserMessage:
      oneOf:
        - type: string
        - $ref: '#/components/schemas/AtifStepUserMessage1'
      title: AtifStepUserMessage
    AtifStep:
      oneOf:
        - type: object
          properties:
            source:
              type: string
              enum:
                - agent
            step_id:
              type: integer
            timestamp:
              type: string
              format: date-time
            message:
              $ref: '#/components/schemas/AtifStepAgentMessage'
              default: ''
            is_copied_context:
              type: boolean
            extra:
              type: object
              additionalProperties:
                description: Any type
            llm_call_count:
              type: integer
            model_name:
              type: string
            reasoning_effort:
              $ref: '#/components/schemas/AtifStepAgentReasoningEffort'
            reasoning_content:
              type: string
            tool_calls:
              type: array
              items:
                $ref: '#/components/schemas/AtifToolCall'
            observation:
              $ref: '#/components/schemas/AtifObservation'
            metrics:
              $ref: '#/components/schemas/AtifMetrics'
          required:
            - source
            - step_id
          description: AtifStepAgent variant
        - type: object
          properties:
            source:
              type: string
              enum:
                - system
            step_id:
              type: integer
            timestamp:
              type: string
              format: date-time
            message:
              $ref: '#/components/schemas/AtifStepSystemMessage'
              default: ''
            is_copied_context:
              type: boolean
            extra:
              type: object
              additionalProperties:
                description: Any type
            llm_call_count:
              type: integer
          required:
            - source
            - step_id
          description: AtifStepSystem variant
        - type: object
          properties:
            source:
              type: string
              enum:
                - user
            step_id:
              type: integer
            timestamp:
              type: string
              format: date-time
            message:
              $ref: '#/components/schemas/AtifStepUserMessage'
              default: ''
            is_copied_context:
              type: boolean
            extra:
              type: object
              additionalProperties:
                description: Any type
            llm_call_count:
              type: integer
          required:
            - source
            - step_id
          description: AtifStepUser variant
      discriminator:
        propertyName: source
      title: AtifStep
    AtifIngestRequest:
      type: object
      properties:
        experiment_context:
          $ref: '#/components/schemas/ExperimentContext'
        evaluation_context:
          $ref: '#/components/schemas/EvaluationContext'
          description: >-
            Deprecated. Use experiment_context; when both are sent,
            experiment_context takes precedence.
        schema_version:
          $ref: '#/components/schemas/AtifIngestRequestSchemaVersion'
        session_id:
          type: string
        agent:
          $ref: '#/components/schemas/AtifAgent'
        final_metrics:
          $ref: '#/components/schemas/AtifFinalMetrics'
        continued_trajectory_ref:
          type: string
        notes:
          type: string
        extra:
          type: object
          additionalProperties:
            description: Any type
        steps:
          type: array
          items:
            $ref: '#/components/schemas/AtifStep'
      required:
        - schema_version
        - agent
      description: >-
        Span-based ATIF ingest request.


        ATIF project scoping is intentionally not accepted here; use the
        workspace

        route and ``experiment_context`` for experiment identity.
      title: AtifIngestRequest
    Ingest_atifApisIntakeV2WorkspacesWorkspaceIngestAtifPost_Response_201:
      type: object
      properties: {}
      description: Empty response body
      title: Ingest_atifApisIntakeV2WorkspacesWorkspaceIngestAtifPost_Response_201
    ValidationErrorLocItems:
      oneOf:
        - type: string
        - type: integer
      title: ValidationErrorLocItems
    ValidationError:
      type: object
      properties:
        loc:
          type: array
          items:
            $ref: '#/components/schemas/ValidationErrorLocItems'
        msg:
          type: string
        type:
          type: string
        input:
          description: Any type
        ctx:
          type: object
          additionalProperties:
            description: Any type
      required:
        - loc
        - msg
        - type
      title: ValidationError
    HTTPValidationError:
      type: object
      properties:
        detail:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
      title: HTTPValidationError

```

## Examples



**Request**

```json
{
  "schema_version": "ATIF-v1.7",
  "agent": {
    "name": "Nemo Ingestor",
    "version": "2.4.1"
  }
}
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://host.com/apis/intake/v2/workspaces/workspace/ingest/atif"

payload = {
    "schema_version": "ATIF-v1.7",
    "agent": {
        "name": "Nemo Ingestor",
        "version": "2.4.1"
    }
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://host.com/apis/intake/v2/workspaces/workspace/ingest/atif';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"schema_version":"ATIF-v1.7","agent":{"name":"Nemo Ingestor","version":"2.4.1"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://host.com/apis/intake/v2/workspaces/workspace/ingest/atif"

	payload := strings.NewReader("{\n  \"schema_version\": \"ATIF-v1.7\",\n  \"agent\": {\n    \"name\": \"Nemo Ingestor\",\n    \"version\": \"2.4.1\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://host.com/apis/intake/v2/workspaces/workspace/ingest/atif")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"schema_version\": \"ATIF-v1.7\",\n  \"agent\": {\n    \"name\": \"Nemo Ingestor\",\n    \"version\": \"2.4.1\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://host.com/apis/intake/v2/workspaces/workspace/ingest/atif")
  .header("Content-Type", "application/json")
  .body("{\n  \"schema_version\": \"ATIF-v1.7\",\n  \"agent\": {\n    \"name\": \"Nemo Ingestor\",\n    \"version\": \"2.4.1\"\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://host.com/apis/intake/v2/workspaces/workspace/ingest/atif', [
  'body' => '{
  "schema_version": "ATIF-v1.7",
  "agent": {
    "name": "Nemo Ingestor",
    "version": "2.4.1"
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://host.com/apis/intake/v2/workspaces/workspace/ingest/atif");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"schema_version\": \"ATIF-v1.7\",\n  \"agent\": {\n    \"name\": \"Nemo Ingestor\",\n    \"version\": \"2.4.1\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "schema_version": "ATIF-v1.7",
  "agent": [
    "name": "Nemo Ingestor",
    "version": "2.4.1"
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://host.com/apis/intake/v2/workspaces/workspace/ingest/atif")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```